﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_10_001
        Inherits EIBDataDPT_10_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(hour As Byte, minute As Byte, second As Byte)
            MyBase.New(Enums.EIBData_Days.NoDay, hour, minute, second)
        End Sub

        Sub New(day As Enums.EIBData_Days, hour As Byte, minute As Byte, second As Byte)
            MyBase.New(day, hour, minute, second)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_TimeOfDay"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "10.001"
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return MyBase.ToString
        End Function
    End Class
End Namespace