﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_14_001
        Inherits EIBDataDPT_14_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(value As Double)
            MyBase.New(value)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_Value_Acceleration_Angular"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "14.001"
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return String.Format("{0} rad/s²", _value)
        End Function
    End Class
End Namespace