﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_5_006
        Inherits EIBDataDPT_5_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(value As Byte)
            MyBase.New(value)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_Tariff"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "5.006"
            End Get
        End Property

        Public Overrides Function ToString() As String
            If _value = 0 Then
                Return "no tariff available"
            ElseIf _value = 255 Then
                Return "invalid tariff data"
            Else
                Return String.Format("current/desired value: {0}", _value)
            End If
        End Function
    End Class
End Namespace