﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_7_004
        Inherits EIBDataDPT_7_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(value As UInt16)
            MyBase.New(value)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_TimePeriod100Msec"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "7.004"
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return String.Format("{0:F2} s", CDbl(_value) / 10)
        End Function
    End Class
End Namespace