﻿Namespace EIBData.DPT
    Public MustInherit Class EIBDataDPT_Base
        Inherits EIB.EIBObjectBase

        Public _data As Byte() = Nothing

        Public Shared ReadOnly Property DPT_Number As String
            Get
                Return ""
            End Get
        End Property

        Public Shared ReadOnly Property DPT_Name As String
            Get
                Return ""
            End Get
        End Property

        Public Shared ReadOnly Property DPT_BaseName As String
            Get
                Return ""
            End Get
        End Property

        Public Shared ReadOnly Property DPT_OctetLength As Byte
            Get
                Return 0
            End Get
        End Property


        Public MustOverride Function CanEncode(data As Byte()) As Boolean
        Public MustOverride Function ToObject() As Object()

        Public MustOverride ReadOnly Property ObjectType As Type()

        Public Function ToByte() As Byte()
            Return _data
        End Function
    End Class
End Namespace