﻿Namespace EIB.Bus.FT12
    Public Enum FT12_FrameType As Byte
        Fixed = &H10
        Variable = &H68
        ACK = &HE5
    End Enum

    Public Enum FT12_FrameDirection As Byte
        PCtoBAU = 0
        BAUtoPC = 1
    End Enum

    Public Enum FT12_FramePrimaryMessageCode As Byte
        SEND_RESET = &H0
        SEND_UDAT = &H3
        REQ_STATUS = &H9
    End Enum

    Public Enum FT12_FrameSecondaryMessageCode As Byte
        CONFIRM_ACK = &H0
        CONFIRM_NACK = &H1
        RESPOND_STATUS = &HB
    End Enum
End Namespace