﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_14_014
        Inherits EIBDataDPT_14_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(value As Double)
            MyBase.New(value)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_Value_Compressibility"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "14.014"
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return String.Format("{0} m²/N", _value)
        End Function
    End Class
End Namespace