﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_14_035
        Inherits EIBDataDPT_14_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(value As Double)
            MyBase.New(value)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_Value_Heat_Capacity"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "14.035"
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return String.Format("{0} J/K", _value)
        End Function
    End Class
End Namespace