﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_15_000
        Inherits EIBDataDPT_15_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(d1 As Byte, d2 As Byte, d3 As Byte, d4 As Byte, d5 As Byte, d6 As Byte, [error] As Enums.EIBData_Access_Error, permission As Enums.EIBData_Access_Permission, direction As Enums.EIBData_Access_Direction, encryption As Enums.EIBData_Access_Encryption, index As Byte)
            MyBase.New(d1, d2, d3, d4, d5, d6, [error], permission, direction, encryption, index)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_Access_Data"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "15.000"
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return MyBase.ToString
        End Function
    End Class
End Namespace