﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_19_001
        Inherits EIBDataDPT_19_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(year As UInt16, month As Byte, day As Byte, dayofweek As Enums.EIBData_Days, hour As Byte, minute As Byte, second As Byte, fault As Enums.EIBData_DateFault, workingDay As Enums.EIBData_WorkingDay, workingDayValid As Enums.EIBData_Valid, yearValid As Enums.EIBData_Valid, monthDayValid As Enums.EIBData_Valid, dayOfWeekValid As Enums.EIBData_Valid, timeValid As Enums.EIBData_Valid, time As Enums.EIBData_Time, clockQuality As Enums.EIBData_ClockQuality)
            MyBase.New(year, month, day, dayofweek, hour, minute, second, Enums.EIBData_DateFault.Fault, workingDay, workingDayValid, yearValid, monthDayValid, dayOfWeekValid, timeValid, time, clockQuality)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_DateTime"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "19.001"
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return MyBase.ToString
        End Function
    End Class
End Namespace