﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_5_001
        Inherits EIBDataDPT_5_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(value As Byte)
            MyBase.New(value)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_Scaling"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "5.001"
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return String.Format("{0:F1} %", CDbl(_value) * 100 / 255)  'Genauigkeit 0,4%, daher auf eine Nachkommastelle runden?
        End Function
    End Class
End Namespace