﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_7_012
        Inherits EIBDataDPT_7_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(value As UInt16)
            MyBase.New(value)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_UElCurrentmA"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "7.012"
            End Get
        End Property

        Public Overrides Function ToString() As String
            If _value = 0 Then
                Return "n/a mA"
            Else
                Return String.Format("{0} mA", _value)
            End If
        End Function
    End Class
End Namespace