﻿Namespace EIBData.DPT
    Public NotInheritable Class EIBDataDPT_8_011
        Inherits EIBDataDPT_8_Base


        Sub New(data As Byte())
            MyBase.New(data)
        End Sub

        Sub New(value As Int16)
            MyBase.New(value)
        End Sub


        Public Shared Shadows ReadOnly Property DPT_Name As String
            Get
                Return "DPT_Rotation_Angle"
            End Get
        End Property

        Public Shared Shadows ReadOnly Property DPT_Number As String
            Get
                Return "8.011"
            End Get
        End Property

        Public Overrides Function ToString() As String
            Return String.Format("{0}°", _value)
        End Function
    End Class
End Namespace