﻿Imports EIBWatcherNet.Core.EIB.Bus.Addressing
Imports EIBWatcherNet.Core.EIBData

Namespace EIBData.EventArgs
    Public Class EIBBusDataUpdatedEventArgs
        Inherits System.EventArgs


        Sub New(reason As EIBBusDataUpdateReasons, address As EIBAddress, data As EIBDataContainer)
            _reason = reason
            _address = address
            _data = data
        End Sub


        Private _reason As EIBBusDataUpdateReasons
        Public ReadOnly Property Reason As EIBBusDataUpdateReasons
            Get
                Return _reason
            End Get
        End Property

        Private _address As EIBAddress
        Public ReadOnly Property Address As EIBAddress
            Get
                Return _address
            End Get
        End Property

        Private _data As EIBDataContainer
        Public ReadOnly Property Data As EIBDataContainer
            Get
                Return _data
            End Get
        End Property
    End Class
End Namespace